mbed TLS v2.23.0

Data Fields
mbedtls_x509_san_other_name Struct Reference
X.509 module

`#include <x509_crt.h>`

Collaboration diagram for mbedtls_x509_san_other_name:
[legend]

## Data Fields
mbedtls_x509_buf | type_id
union {
struct {
mbedtls_x509_buf mbedtls_x509_san_other_name::oid
mbedtls_x509_buf mbedtls_x509_san_other_name::val
} mbedtls_x509_san_other_name::hardware_module_name
} | value

## Detailed Description

From RFC 5280 section 4.2.1.6: OtherName ::= SEQUENCE { type-id OBJECT IDENTIFIER, value [0] EXPLICIT ANY DEFINED BY type-id }

Definition at line 109 of file x509_crt.h.

The documentation for this struct was generated from the following file:

- x509_crt.h